# panasonicmn.hpp File Reference

Panasonic MakerNote implemented using the following references: Panasonic MakerNote Information by Tom Hughes, Panasonic.pm of ExifTool by Phil Harvey, Panasonic Makernote Format Specification by Evan Hunter. More...

`#include "types.hpp"`
`#include "makernote.hpp"`
`#include "tags.hpp"`
`#include <string>`
`#include <iosfwd>`
`#include <memory>`

Include dependency graph for panasonicmn.hpp:

This graph shows which files directly or indirectly include this file:

## Namespaces

namespace | Exiv2

## Classes

class | Exiv2::PanasonicMakerNote
| MakerNote for Panasonic cameras. More...

## Functions

MakerNote::AutoPtr | Exiv2::createPanasonicMakerNote (bool alloc, const byte *buf, long len, ByteOrder byteOrder, long offset)
| Return an auto-pointer to a newly created empty MakerNote initialized to operate in the memory management model indicated. The caller owns this copy and the auto-pointer ensures that it will be deleted.

## Detailed Description

Panasonic MakerNote implemented using the following references: Panasonic MakerNote Information by Tom Hughes, Panasonic.pm of ExifTool by Phil Harvey, Panasonic Makernote Format Specification by Evan Hunter.

Version:
  Rev
    783

Author:
  Andreas Huggel (ahu) ahuggel@gmx.net

Date:
  11-Jun-05, ahu: created